Subject: Re: linux-next: Tree for Feb 11

From: Vlad Buslov <[email-masked]>
Date: Fri, 12 Feb 2021 11:36:29 +0200

On Thu 11 Feb 2021 at 22:30, Heiko Carstens <[email-masked]> wrote:
> On Thu, Feb 11, 2021 at 10:26:04PM +1100, Stephen Rothwell wrote:
>> Hi all,
>> 
>> Changes since 20210210:
>> 
>> The powerpc tree still had its build failure in the allyesconfig for
>> which I applied a supplied patch.
>> 
>> The v4l-dvb tree lost its build failure.
>> 
>> The drm-misc tree lost its build failure.
>> 
>> The modules tree lost its build failure.
>> 
>> The device-mapper tree gained a build failure so I used the version
>> from next-20210210.
>> 
>> The tip tree lost its boot failure.
>> 
>> The rcu tree gained conflicts against the block tree.
>> 
>> The driver-core tree lost its build failure.
>> 
>> The akpm-current tree gained conflicts against the fscache tree.
>> 
>> Non-merge commits (relative to Linus' tree): 9533
>>  9470 files changed, 385794 insertions(+), 266880 deletions(-)
>> 
>> ----------------------------------------------------------------------------
>
> Build fails on s390 using defconfig with:
>
> In file included from drivers/net/ethernet/mellanox/mlx5/core/en_tc.h:40,
>                  from drivers/net/ethernet/mellanox/mlx5/core/en_main.c:45:
> drivers/net/ethernet/mellanox/mlx5/core/en/tc_tun.h:24:29: error: field 'match_level' has incomplete type
>    24 |  enum mlx5_flow_match_level match_level;
>       |                             ^~~~~~~~~~~
> drivers/net/ethernet/mellanox/mlx5/core/en/tc_tun.h:27:26: warning: 'struct mlx5e_encap_entry' declared inside parameter list will not be visible outside of this definition or declaration
>    27 |  int (*calc_hlen)(struct mlx5e_encap_entry *e);
>       |                          ^~~~~~~~~~~~~~~~~
>
> caused by this:
> commit 0d9f96471493d5483d116c137693f03604332a04 (HEAD, refs/bisect/bad)
> Author: Vlad Buslov <[email-masked]>
> Date:   Sun Jan 24 22:07:04 2021 +0200
>
>     net/mlx5e: Extract tc tunnel encap/decap code to dedicated file
>     
>     Following patches in series extend the extracted code with routing
>     infrastructure. To improve code modularity created a dedicated
>     tc_tun_encap.c source file and move encap/decap related code to the new
>     file. Export code that is used by both regular TC code and encap/decap code
>     into tc_priv.h (new header intended to be used only by TC module). Rename
>     some exported functions by adding "mlx5e_" prefix to their names.
>     
>     Signed-off-by: Vlad Buslov <[email-masked]>
>     Signed-off-by: Dmytro Linkin <[email-masked]>
>     Reviewed-by: Roi Dayan <[email-masked]>
>     Signed-off-by: Saeed Mahameed <[email-masked]>
>
> Note: switching on NET_SWITCHDEV fixes the build error.

Hi Heiko,

This problem is supposed to be fixed by 36280f0797df ("net/mlx5e: Fix
tc_tun.h to verify MLX5_ESWITCH config"). I'm trying to reproduce with
config supplied by test robot in another thread (config: s390-defconfig)
and current net-next builds fine for me. I've also verified that config
option you mentioned is not set in that config:

$ grep NET_SWITCHDEV .config
# CONFIG_NET_SWITCHDEV is not set

Can you help me reproduce?

Thanks,
Vlad